<?xml version="1.0" encoding="UTF-8" ?>
<testsuite tests="22" failures="0" name="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" time="0.004" errors="0" skipped="0">
  <properties>
    <property name="java.runtime.name" value="Java(TM) SE Runtime Environment"/>
    <property name="sun.boot.library.path" value="/build/software/java/jdk1.8.0_171/jre/lib/amd64"/>
    <property name="java.vm.version" value="25.171-b11"/>
    <property name="java.vm.vendor" value="Oracle Corporation"/>
    <property name="maven.multiModuleProjectDirectory" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.vendor.url" value="http://java.oracle.com/"/>
    <property name="path.separator" value=":"/>
    <property name="guice.disable.misplaced.annotation.check" value="true"/>
    <property name="java.vm.name" value="Java HotSpot(TM) 64-Bit Server VM"/>
    <property name="file.encoding.pkg" value="sun.io"/>
    <property name="sun.java.launcher" value="SUN_STANDARD"/>
    <property name="sun.os.patch.level" value="unknown"/>
    <property name="java.vm.specification.name" value="Java Virtual Machine Specification"/>
    <property name="user.dir" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/target/checkout"/>
    <property name="java.runtime.version" value="1.8.0_171-b11"/>
    <property name="java.awt.graphicsenv" value="sun.awt.X11GraphicsEnvironment"/>
    <property name="java.endorsed.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/endorsed"/>
    <property name="os.arch" value="amd64"/>
    <property name="java.util.Arrays.useLegacyMergeSort" value="true"/>
    <property name="java.io.tmpdir" value="/tmp"/>
    <property name="line.separator" value="
"/>
    <property name="java.vm.specification.vendor" value="Oracle Corporation"/>
    <property name="os.name" value="Linux"/>
    <property name="classworlds.conf" value="/build/software/maven/apache-maven-3.5.4/bin/m2.conf"/>
    <property name="sun.jnu.encoding" value="UTF-8"/>
    <property name="additionalparam" value="-Xdoclint:none"/>
    <property name="java.library.path" value="/usr/java/packages/lib/amd64:/usr/lib64:/lib64:/lib:/usr/lib"/>
    <property name="maven.conf" value="/build/software/maven/apache-maven-3.5.4/conf"/>
    <property name="java.specification.name" value="Java Platform API Specification"/>
    <property name="java.class.version" value="52.0"/>
    <property name="sun.management.compiler" value="HotSpot 64-Bit Tiered Compilers"/>
    <property name="maven.repo.local" value="/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository"/>
    <property name="os.version" value="4.14.158-129.185.amzn2.x86_64"/>
    <property name="library.jansi.path" value="/build/software/maven/apache-maven-3.5.4/lib/jansi-native"/>
    <property name="user.home" value="/root"/>
    <property name="user.timezone" value="Etc/UTC"/>
    <property name="java.awt.printerjob" value="sun.print.PSPrinterJob"/>
    <property name="java.specification.version" value="1.8"/>
    <property name="file.encoding" value="UTF-8"/>
    <property name="user.name" value="root"/>
    <property name="java.class.path" value="/build/software/maven/apache-maven-3.5.4/boot/plexus-classworlds-2.5.2.jar"/>
    <property name="java.vm.specification.version" value="1.8"/>
    <property name="sun.arch.data.model" value="64"/>
    <property name="java.home" value="/build/software/java/jdk1.8.0_171/jre"/>
    <property name="sun.java.command" value="org.codehaus.plexus.classworlds.launcher.Launcher -B -D maven.repo.local=/home/jenkins/workspace/forked-dependencies/wso2-synapse/.repository -s /tmp/release-settings3463392630266014099.xml -D performRelease=true -D additionalparam=-Xdoclint:none -P wso2-release deploy"/>
    <property name="java.specification.vendor" value="Oracle Corporation"/>
    <property name="user.language" value="en"/>
    <property name="awt.toolkit" value="sun.awt.X11.XToolkit"/>
    <property name="java.vm.info" value="mixed mode"/>
    <property name="org.apache.maven.global-settings" value="/build/software/maven/settings/settings.xml"/>
    <property name="java.version" value="1.8.0_171"/>
    <property name="java.ext.dirs" value="/build/software/java/jdk1.8.0_171/jre/lib/ext:/usr/java/packages/lib/ext"/>
    <property name="securerandom.source" value="file:/dev/./urandom"/>
    <property name="sun.boot.class.path" value="/build/software/java/jdk1.8.0_171/jre/lib/resources.jar:/build/software/java/jdk1.8.0_171/jre/lib/rt.jar:/build/software/java/jdk1.8.0_171/jre/lib/sunrsasign.jar:/build/software/java/jdk1.8.0_171/jre/lib/jsse.jar:/build/software/java/jdk1.8.0_171/jre/lib/jce.jar:/build/software/java/jdk1.8.0_171/jre/lib/charsets.jar:/build/software/java/jdk1.8.0_171/jre/lib/jfr.jar:/build/software/java/jdk1.8.0_171/jre/classes"/>
    <property name="java.vendor" value="Oracle Corporation"/>
    <property name="maven.home" value="/build/software/maven/apache-maven-3.5.4"/>
    <property name="file.separator" value="/"/>
    <property name="java.vendor.url.bug" value="http://bugreport.sun.com/bugreport/"/>
    <property name="sun.cpu.endian" value="little"/>
    <property name="sun.io.unicode.encoding" value="UnicodeLittle"/>
    <property name="sun.cpu.isalist" value=""/>
    <property name="performRelease" value="true"/>
  </properties>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testNullSchema" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidEnumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidConstConstraint" time="0.001"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidExclusiveMinimumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testIntegerValidation" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidInteger" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testNumberValidation" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidNumberValidation" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testNotNumericInput" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidMultipleOfConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInValidMultipleOfConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidExclusiveMinimumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidExclusiveMaximumConstraint" time="0.001"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidExclusiveMaximumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidMinimumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidMinimumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidMaximumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidMaximumConstraint" time="0.001"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidEnumInvalidDataType" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testValidConstInvalidDataType" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidEnumConstraint" time="0"/>
  <testcase classname="org.apache.synapse.commons.json.jsonprocessor.testValidators.TestNumericValidator" name="testInvalidConstConstraint" time="0.001"/>
</testsuite>